New LiquidCrystal library: LiquidCrystal Class Reference

New LiquidCrystal library 1.3.2 Generic LCD control library

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
LiquidCrystal Class Reference
Inheritance diagram for LiquidCrystal:

## Public Member Functions

| LiquidCrystal (uint8_t rs, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3, uint8_t d4, uint8_t d5, uint8_t d6, uint8_t d7)
| LiquidCrystal (uint8_t rs, uint8_t rw, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3, uint8_t d4, uint8_t d5, uint8_t d6, uint8_t d7)
| LiquidCrystal (uint8_t rs, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3, uint8_t d4, uint8_t d5, uint8_t d6, uint8_t d7, uint8_t backlightPin, t_backlighPol pol)
| LiquidCrystal (uint8_t rs, uint8_t rw, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3, uint8_t d4, uint8_t d5, uint8_t d6, uint8_t d7, uint8_t backlightPin, t_backlighPol pol)
| LiquidCrystal (uint8_t rs, uint8_t rw, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3)
| LiquidCrystal (uint8_t rs, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3)
| LiquidCrystal (uint8_t rs, uint8_t rw, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3, uint8_t backlightPin, t_backlighPol pol)
| LiquidCrystal (uint8_t rs, uint8_t enable, uint8_t d0, uint8_t d1, uint8_t d2, uint8_t d3, uint8_t backlightPin, t_backlighPol pol)
virtual void | send (uint8_t value, uint8_t mode)
void | setBacklightPin (uint8_t pin, t_backlighPol pol)
void | setBacklight (uint8_t value)
Public Member Functions inherited from LCD
| LCD ()
virtual void | begin (uint8_t cols, uint8_t rows, uint8_t charsize=LCD_5x8DOTS)
void | clear ()
void | home ()
void | noDisplay ()
void | display ()
void | noBlink ()
void | blink ()
void | noCursor ()
void | cursor ()
void | scrollDisplayLeft ()
void | scrollDisplayRight ()
void | leftToRight ()
void | rightToLeft ()
void | moveCursorLeft ()
void | moveCursorRight ()
void | autoscroll ()
void | noAutoscroll ()
void | createChar (uint8_t location, uint8_t charmap[])
void | setCursor (uint8_t col, uint8_t row)
void | backlight (void)
void | noBacklight (void)
void | on (void)
void | off (void)
virtual void | write (uint8_t value)

## Additional Inherited Members

Protected Attributes inherited from LCD
uint8_t | _displayfunction
uint8_t | _displaycontrol
uint8_t | _displaymode
uint8_t | _numlines
uint8_t | _cols
t_backlighPol | _polarity

## Constructor & Destructor Documentation

LiquidCrystal::LiquidCrystal | ( | uint8_t | rs,
|  | uint8_t | enable,
|  | uint8_t | d0,
|  | uint8_t | d1,
|  | uint8_t | d2,
|  | uint8_t | d3,
|  | uint8_t | d4,
|  | uint8_t | d5,
|  | uint8_t | d6,
|  | uint8_t | d7
| ) |  |

8 bit LCD constructors. Defines the pin assignment that the LCD will have. The constructor does not initialize the LCD.

LiquidCrystal::LiquidCrystal | ( | uint8_t | rs,
|  | uint8_t | rw,
|  | uint8_t | enable,
|  | uint8_t | d0,
|  | uint8_t | d1,
|  | uint8_t | d2,
|  | uint8_t | d3
| ) |  |

4 bit LCD constructors. Defines the pin assignment that the LCD will have. The constructor does not initialize the LCD.

## Member Function Documentation

void LiquidCrystal::send | ( | uint8_t | value,
|  | uint8_t | mode
| ) |  |

virtual

Send a particular value to the LCD. Sends a particular value to the LCD for writing to the LCD or as an LCD command.

Users should never call this method.

Parameters

  value | Value to send to the LCD.

Returns
  mode LOW - write to the LCD CGRAM, HIGH - write a command to the LCD.

Reimplemented from LCD.

void LiquidCrystal::setBacklight | ( | uint8_t | value | ) |

virtual

Switch-on/off the LCD backlight. Switch-on/off the LCD backlight. The setBacklightPin has to be called before setting the backlight for this method to work.

See also
  setBacklightPin. For dimming control of the backlight, the configuration pin must be a PWM output pin. Dim control is achieved by passing a value from 1 to 255 as a parameter. If the pin configured when calling the setBacklightPin does not support PWM, then: (0) backlight off, (1..255) backlight on.

Parameters

  value | backlight value. 0: off, 1..255: dim control of the backlight. For negative logic 255: off, 254..0: dim control.

Reimplemented from LCD.

void LiquidCrystal::setBacklightPin | ( | uint8_t | pin,
|  | t_backlighPol | pol
| ) |  |

virtual

Sets the pin to control the backlight. Sets the pin in the device to control the backlight.

Parameters

  pin | pin assigned to the backlight
  pol | backlight pin control polarity (POSITIVE, NEGATIVE).

Reimplemented from LCD.

The documentation for this class was generated from the following files:

- /Users/fmalpartida/Documents/development/mercurial repos/SW/NewliquidCrystal/LiquidCrystal.h
- /Users/fmalpartida/Documents/development/mercurial repos/SW/NewliquidCrystal/LiquidCrystal.cpp